Ending Internet Explorer 9 and Lower Support

Follow

As of June 1, 2016, Mindflash will no longer be  supporting Internet Explorer 9 and lower for trainers and trainees. Access to Mindflash courses will be allowed until May 31, 2016. 

Starting on June 1, 2016, Mindflash users will no longer be able to login using IE9 or lower.  Users who attempt to do so will be prompted to upgrade their browser to IE10+ or use Chrome, Firefox or Safari.

To download a new browser, use one of the links below:

Mozilla Firefox  Download the latest version

Google Chrome Download the latest version  

Microsoft Internet Explorer 10+ Download the latest version  

Apple Safari 5+  Download the latest version 

 

Once you have downloaded a new browser, open that browser and paste your training address into the new browser. You should now be able to continue your training.

Why drop Internet Explorer 9 support?

Mindflash periodically reviews browser usage of our product as well as the company support of those browsers. Microsoft recently announced that they will stop providing technical support and security updates for Internet Explorer 9 and 10 effective January 12, 2016.

Additionally, only 2% of all our users are on Internet Explorer 9 which limits our ability to add new features.

This change allows us to better focus our efforts on current browsers that will benefit the majority of our customers.

 

 

Have more questions? Submit a request

Comments

Powered by Zendesk